# Class FunctionMapper

java.lang.Object
jakarta.el.FunctionMapper

public abstract class FunctionMapper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mapFunction(String prefix, String localName, Method method)`
  Map a method to a function name.
  `abstract Method`
  `resolveFunction(String prefix, String localName)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FunctionMapper

    public FunctionMapper()

- ## Method Details

  - ### resolveFunction

    public abstract Method resolveFunction(String prefix, String localName)

  - ### mapFunction

    public void mapFunction(String prefix, String localName, Method method)
    Map a method to a function name.
    Parameters:
      `prefix` - Function prefix
      `localName` - Function name
      `method` - Method
    Since:
      EL 3.0